diff --git a/books/bookvolbib.pamphlet b/books/bookvolbib.pamphlet
index ce05d16..b0fc641 100644
--- a/books/bookvolbib.pamphlet
+++ b/books/bookvolbib.pamphlet
@@ -4698,6 +4698,28 @@ completed to solutions of the original system.
 \verb|e-collection.library.ethz.ch/eserv/eth:39463/eth-39463-01.pdf|
 %\verb|axiom-developer.org/axiom-website/papers/Mohr94.pdf|
 
+\bibitem[Von Mohrenschildt 98]{Mohr98} Von Mohrenschildt, Martin\\
+``A Normal Form for Function Rings of Piecewise Functions''\\
+J. Symbolic Computation (1998) Vol 26 pp607-619\\
+\verb|www.cas.mcmaster.ca/~mohrens/JSC.pdf|
+%\verb|axiom-developer.org/axiom-website/papers/Mohr98.pdf|
+
+\begin{adjustwidth}{2.5em}{0pt}
+Computer algebra systems often have to deal with piecewise continuous
+functions. These are, for example, the absolute value function,
+signum, piecewise defined functions but also functions that are the
+supremum or infimum of two functions. We present a new algebraic
+approach to these types of problems. This paper presents a normal form
+for a function ring containing piecewise polynomial functions of an
+expression. The main result is that this normal form can be used to
+decide extensional equality of two piecewise functions. Also we define
+supremum and infimum for piecewise functions; in fact, we show that
+the function ring forms a lattice. Additionally, a method to solve
+equalities and inequalities in this function ring is
+presented. Finally, we give a ``user interface'' to the algebraic
+representation of the piecewise functions.
+\end{adjustwidth}
+
 \bibitem[Weber 06]{Webe06} Weber, Andreas\\
 ``Quantifier Elimination on Real Closed Fields and Differential Equations''\\
 \verb|cg.cs.uni-bonn.de/personal-pages/weber/publications/pdf/WeberA/Weber2006a.pdf|
@@ -4822,6 +4844,22 @@ Cambridge Unversity Press, Cambridge, 1916
 {\sl Nouvelles Annales de Math\'{e}matiques}
 ($2^{eme}$ s\'{e}rie), 11:145-148, 1872
 
+\bibitem[Jeffrey 99]{Jeff99} Jeffrey, D.J.; Labahn, G.; Mohrenschildt, M.v.;
+Rich, A.D.\\
+``Integration of the signum, piecewise and related functions''\\
+\verb|cs.uwaterloo.ca/~glabahn/Papers/issac99-2.pdf|
+%\verb|axiom-developer.org/axiom-website/papers/Jeff99.pdf|
+
+\begin{adjustwidth}{2.5em}{0pt}
+When a computer algebra system has an assumption facility, it is
+possible to distinguish between integration problems with respect to a
+real variable, and those with respect to a complex variable.  Here, a
+class of integration problems is defined in which the integrand
+consists of compositions of continuous functions and signum functions,
+and integration is with respect to a real variable.  Algorithms are
+given for evaluating such integrals.
+\end{adjustwidth}
+
 \bibitem[Knowles 93]{Know93} Knowles, P.\\
 ``Integration of a class of transcendental liouvillian
 functions with error-functions i''\\
diff --git a/changelog b/changelog
index a5e4752..05799e3 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,5 @@
+20140707 tpd src/axiom-website/patches.html 20140707.02.tpd.patch
+20140707 tpd books/bookvolbib add Mohr98, Jeff99
 20140707 tpd src/axiom-website/patches.html 20140707.01.tpd.patch
 20140707 tpd books/bookvolbib add many new references
 20140706 tpd src/axiom-website/patches.html 20140706.01.tpd.patch
diff --git a/patch b/patch
index 9938a85..2fa739f 100644
--- a/patch
+++ b/patch
@@ -1,3 +1,3 @@
-books/bookvolbib add many new references
+books/bookvolbib add Mohr98, Jeff99
 
 More web searching for Axiom related references.
diff --git a/src/axiom-website/patches.html b/src/axiom-website/patches.html
index 31533dc..2b91091 100644
--- a/src/axiom-website/patches.html
+++ b/src/axiom-website/patches.html
@@ -4530,6 +4530,8 @@ books/bookvolbib add Lamport book "Specifying Systems"
 books/bookvolbib add references Meij91, Mohr94
 <a href="patches/20140707.01.tpd.patch">20140707.01.tpd.patch</a>
 books/bookvolbib add many new references
+<a href="patches/20140707.02.tpd.patch">20140707.02.tpd.patch</a>
+books/bookvolbib add Mohr98, Jeff99
  </body>
 </html>
 
